void functionTable(int funcID, int numArgs) 
{
  /**
   * READ CAREFULLY! READ CAREFULLY! READ CAREFULLY! READ CAREFULLY!
   * NB! Do not exceed MAX_NUMBER_OF_ARGUMENTS, or adjust if needed
   * READ CAREFULLY! READ CAREFULLY! READ CAREFULLY! READ CAREFULLY!
   **/
  switch (funcID) 
  {
    // 0 -  sets an analog value to a pinnumber
  case FUNCTION_SET_LED:
    if (numArgs > 0) {
      setLed(arguments[0],arguments[1]);
    }
    break;

    // 3 - sets the color/brightness of RGB leds
  case FUNCTION_SET_COLOR:      // 
    if (numArgs > 0) {
      //setColor();
      copyRGB(arguments[0],arguments[1],arguments[2]);
      newSettings=true;      // set flag for handling new settings

    }
    break;

    // 4 - sets Z and Y angles of servo's
  case FUNCTION_SET_ANGLE:   // 
    if (numArgs > 0) {
      copyAngle(arguments[0], arguments[1]); 
      newSettings=true;      // set flag for handling new settings
    }
    break;

    // 5 - sets angle AND color/brightness of RGB led's
  case FUNCTION_SET_ANGLE_AND_COLOR:    
    if (numArgs > 0) {

      copyAngleAndColor();

      newSettings=true;      // set flag for handling new settings
      state=STATE_COPY_DELAY;              // set main state machine first do a little delay
      timeC=millis();        // and for that delay, store the current time
    }
    break;

    // 6  -  sets the number of scans the sensor should do before entering standby again
  case FUNCTION_SET_DEMO:
    if (numArgs > 0) {
      demo_flag=1;
      maxScanNum=arguments[0];
      state=STATE_SCAN;
    }

    break;

    // 7 - sets sensor turret in continuous mode
  case FUNCTION_SWITCH_ON_OFF:
    if (numArgs > 0) {
      demo_flag=false;                        // turn off demo_mode
      if(arguments[0]>=0 && arguments[0]<2){  //check if arguments is 0 or 1
        state=arguments[0];                  // if 0, enter STATE_STANDBY, if 1 enter STATE_SCAN 
      }
    }

    break;

  default:

    break;
  }

  /* Reset the arguments we have used */
  for(int i=0; i<numArgs; i++)
  {
    arguments[i] = 0;
  }
}




